/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";
option java_multiple_files = true;

package android.os;

import "frameworks/base/core/proto/android/privacy.proto";

// Dump of statsd report data (dumpsys stats --proto).
message StatsDataDumpProto {
    option (android.msg_privacy).dest = DEST_AUTOMATIC;

    // The following is an android.os.statsd.ConfigMetricsReportList, which is defined
    // in frameworks/base/cmds/statsd/src/stats_log.proto. It should not be imported (even weakly)
    // in AOSP because it would drag with it atoms.proto, which is enormous and awkward.
    repeated bytes config_metrics_report_list = 1;

}